- category: Tutorial
  name: ShadowA
  persistence: true
  api_generation: false
  abstract: false
  extends:
    - Shadow
  attributes:
    local_fields: []
    ref_fields: []
  methods:
    class_methods: []
    instance_methods:
      - method_body: |-
          def initialize(self, *args, **kwargs):
              self.system = "A"
        propagation_mode: true
        topdown: true
        auto_rollback: true
        multiplexable_number: 1
        field_order: ascend
- category: Tutorial
  name: ShadowB
  persistence: true
  api_generation: false
  abstract: false
  extends:
    - Shadow
  attributes:
    local_fields: []
    ref_fields: []
  methods:
    class_methods: []
    instance_methods:
      - method_body: |-
          def initialize(self, *args, **kwargs):
              self.system = "B"
        propagation_mode: true
        topdown: true
        auto_rollback: true
        multiplexable_number: 1
        field_order: ascend